[Resolvido] Atualizar o Python

editado 4 de May em Dúvidas Iniciais
Olá a todos,

sou novato total no Linux, instalei faz 3 dias e ainda estou configurando e instalando os apps. Instalei o PyCharm pra desenvolver em Python, mas ao verificar a versão percebi que está desatualizada:

[email protected]:~$ python --version
Python 2.7.15+

Tentei atualizar com este comando:

[email protected]:~$ sudo apt-get install python3.7

mas não atualizou. Poderiam me ajudar a atualizar o Python e se possível me explicar como funcionam esse comandos.

Agradeço muito a ajuda de todos vocês.

Abs, Papo.
Post edited by welblade on

Comentários

  • editado August de 2019
    Este comando realiza uma busca simples por executáveis de python3 no sistema e exibe o resultado:
    ls -1 /usr/bin/python3{,.[0-9]}

    Execute também:
    python3 --version
    Post edited by dougpess on
  • Ok comandos executados:

    [email protected]:~$ uname -m
    x86_64
    [email protected]:~$ ls -1 /usr/bin/python3{,.[0-9]}
    /usr/bin/python3
    /usr/bin/python3.6
    /usr/bin/python3.7
    [email protected]:~$ python3 --version
    Python 3.6.8

    Mas estou mais confuso ainda!! Porque quando abro o Python vem a versão 2.7?

    [email protected]:~$ python
    Python 2.7.15+ (default, Nov 27 2018, 23:36:35)
    [GCC 7.3.0] on linux2
    Type "help", "copyright", "credits" or "license" for more information.
    >>>

    Ai tem a versão 3.6 e a 3.7 mas a versão do python3 é a 3.6.8
    É muito confuso.... to bem perdido. Se puder me explicar melhor eu agradeço.

    Abs
  • editado August de 2019
    Acontece é que há diferentes versões de Python coexistindo no sistema.
    Python 2.7
    Python 3.6
    Python 3.7

    Exemplos de softwares com o mesmo comportamento: Java, Visual C++ Redistributable.
    Post edited by dougpess on
  • Aproveitando o topico eu tenho uma pergunta. Estou começando a aprender python e estou usando a versão 3.8.2. Eu sei que a 2.7 é obrigatória, pois tem muitos pacotes que usam a mesma. Eu reparei que tambem tenho a versao 3.6 instalada, que a principio, eu não uso. Pergunta, esta versao (3.6) é mandatória no Mint 19.3 mate?
    Obrigado
  • o pacote python3 padrão do sistema é o python 3.6 os programas instalados que o utilizam podem parar de funcionar se você removê-lo, o python 3.7 pode não ser 100% compatível com 3.6.


    Notebook Avell B153 PLUS

    Linux Mint 19.3 Tricia
    Processor: Intel Core i5-4200M
    Memory: 8 GB RAM
    Graphics: NVIDIA GK208M [GeForce GT 730M]
    Kernel: 5.5.0-15.1-liquorix-amd64 x86_64
  • obrigado welblade

  • welblade disse:

    o pacote python3 padrão do sistema é o python 3.6 os programas instalados que o utilizam podem parar de funcionar se você removê-lo, o python 3.7 pode não ser 100% compatível com 3.6.

    É possível utilizar versões diferentes do python com os comandos:

    python 3.8 (para a versão mais recente)
    python 3 (para a versão do python 3 default: python 3.6)
    python (para o python default do sistema: python 2.7)
    Note que é possível utilizar em outras versões também com o 3.5 por exemplo

Entre ou Registre-se para fazer um comentário.